OtherClassOtherPackage.EmbeddedEnum
Description: declaration: package: org.apache.maven.tools.plugin.extractor.annotations.converter.test.other, class: OtherClassOtherPackage, enum: EmbeddedEnum

Package org.apache.maven.tools.plugin.extractor.annotations.converter.test.other

# Enum Class OtherClassOtherPackage.EmbeddedEnum

java.lang.Object
java.lang.Enum<OtherClassOtherPackage.EmbeddedEnum>
org.apache.maven.tools.plugin.extractor.annotations.converter.test.other.OtherClassOtherPackage.EmbeddedEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<OtherClassOtherPackage.EmbeddedEnum>`, `Constable`

Enclosing class:
  `OtherClassOtherPackage`

public static enum OtherClassOtherPackage.EmbeddedEnum extends Enum<OtherClassOtherPackage.EmbeddedEnum>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OtherClassOtherPackage.EmbeddedEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OtherClassOtherPackage.EmbeddedEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### values

    public static OtherClassOtherPackage.EmbeddedEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OtherClassOtherPackage.EmbeddedEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null